## proftpd-dfsg 1.3.0-19etch3

=== debian/changelog ===
proftpd-dfsg (1.3.0-19etch3) oldstable-security; urgency=low

  * [SECURITY] Added patch cve_2009_3639.dpatch. It fixes CVE-2009-3639.
    See also http://bugs.proftpd.org/show_bug.cgi?id=3275.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 26 Oct 2009 14:53:56 +0100

proftpd-dfsg (1.3.0-19etch2) stable-security; urgency=low

  * [SECURITY] Added patch xsiteforgery.dpatch. It fixes CVE-2008-4242.
    See also http://bugs.proftpd.org/show_bug.cgi?id=3115

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 27 Oct 2008 16:47:13 +0100

proftpd-dfsg (1.3.0-19etch1) stable; urgency=low

  * [SECURITY] Added patch auth_cache.dpatch. It fixes CVE-2007-2165.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 15 Jan 2008 11:50:31 +0100

proftpd-dfsg (1.3.0-19) unstable; urgency=high

  * Updated NEWS and README.Debian in order to document SQL backend engine configuration.
    (closes: #369813, #405184)
  * Uses correct encoding declaration in pt debconf template.
    (closes: #403486)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue,  2 Jan 2007 10:47:24 +0100

proftpd-dfsg (1.3.0-18) unstable; urgency=high

  * Rebuilt for cleaning spurious changes introduced by uncomplete building.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 14 Dec 2006 16:10:26 +0100

proftpd-dfsg (1.3.0-17) unstable; urgency=high

  * SECURITY: ProFTPD Controls Buffer Overflow, locally exploitable. This is fixed in 1.3.1.
    New patch CORE-2006-1127 added.
    See http://www.coresecurity.com/?module=ContentMod&action=item&id=1594
    and http://bugs.proftpd.org/show_bug.cgi?id=2867 for reference.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 14 Dec 2006 10:21:56 +0100

proftpd-dfsg (1.3.0-16) unstable; urgency=high

  * Added a new security patch for Secunia SA23141 advisory (mod_tls abuse)
    See SA23141 patch for details.
    See http://secunia.com/advisories/23141/ for advisory
    See http://bugs.proftpd.org/show_bug.cgi?id=2860 for details.
    (closes: #400793)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 29 Nov 2006 11:27:34 +0100

proftpd-dfsg (1.3.0-15) unstable; urgency=high

  * Sigh, a new patch fixes for sure security bug Secunia SA22803 advisory (sreplace() abuse).
    See SA22803 patch added to the previous one which was anyway
    correct on the basis of CVE-2006-5815.
    See http://bugs.proftpd.org/show_bug.cgi?id=2858 for details.
    See http://secunia.com/advisories/22803/ for advisory.
    (closes: #399070)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 28 Nov 2006 13:29:58 +0100

proftpd-dfsg (1.3.0-14) unstable; urgency=medium

  * New patch: ipv6_onoff: adds long due ipv6 run-time enabling/disabling, based on
    http://bugs.proftpd.org/show_bug.cgi?id=2817 CVS patch. It adds UseIPv6
    on|off directive and --ipv4/--ipv6 command line options.
  * Now changed default proftpd.conf to enable explicitly as previous default. Admin can
    turn it off if he likes so. That is an alternative to provide an ipv6
    address/name map.
  * Documenting new option in README.Debian.
  * Updated japanese debconf template.
    (closes: #400152)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 24 Nov 2006 11:58:58 +0100

proftpd-dfsg (1.3.0-13) unstable; urgency=high

  * Security fix for CVE-2006-5815, DoS with low impact.
    (See http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-5815)
    Patch cve_2006_5815 added, taken from main.c(1.292->1.294). Other
    vendors' patch (1.292->1.293) is wrong and causes segfault.
    Debian rocks as always instead ;-)
    (closes: #399070)
  * Updated german po file for debconf.
    (closes: #399252)
  * Updated italian po file for debconf.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 20 Nov 2006 12:03:08 +0100

proftpd-dfsg (1.3.0-12) unstable; urgency=high

  * Fixing properly update-rc.d call in postrm. Eventually the init script
    should be changed to work with dh_installinit, which would be more clean.
    (closes: #397918)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 10 Nov 2006 15:03:30 +0100

proftpd-dfsg (1.3.0-11) unstable; urgency=medium

  * Sigh, reverted a change in proftpd.install due to an initial package splitting no more
    completed. The result was missing SQL and LDAP modules.
    (closes: #394233)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 20 Oct 2006 14:32:04 +0200

proftpd-dfsg (1.3.0-10) unstable; urgency=low

  * Removed RFCs in the original tarball. 
    (closes: #393408)
  * Added a watch file for uscan.
  * Templates updated.
    (closes: #375102,#381949,#383077)
  * Removes proftpd user on purge in postrm.
    (closes: #387982)
  * Merged by 1.3.0-9.1 NMU (thanks Arjan Oosting):
  	+ Call update-inetd during remove and disappear and not during purge.
         (closes: #388647)
        + Make dependency on libcap-dev conditional to fix FTBFS on GNU/kFreeBSD
         (closes: #375017)
        + Deregister /etc/init.d script on purge

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 16 Oct 2006 15:16:21 +0200

proftpd (1.3.0-9) unstable; urgency=low

  * Missing examples added to proftpd-doc: moved proftpd.examples to proftpd-doc.examples
  * Added patch: sighup_fault
    	Daemon fails when receive SIGHUP and mod_ctrls is enabled.
    	Cfr http://bugs.proftpd.org/show_bug.cgi?id=2792
  * Policy bumped to 3.7.2, no changes.
  * proftpd.init: added /var/run/proftpd creation at run-time (ubuntu patch).
  * Typo in README.Debian corrected
    (closes: #369745)
  * Russian debconf template revised
    (closes: #367164)
  * Added a note in README.Debian about AuthOrder and other issues.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  1 Jun 2006 14:29:18 +0200

proftpd (1.3.0-8) unstable; urgency=medium

  * New patch for configure.in/configure (remove_rpath) to remove rpath adding
    at libtool installation time. 
    (closes: #368301)

