=== debian/control ===
Source: proftpd-dfsg
Section: net
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Standards-Version: 3.7.2
Build-Depends: libmysqlclient15-dev (>= 5.0.16) | libmysqlclient14-dev | libmysqlclient12-dev (>= 4.0.23) , libpam-dev, debhelper (>=4.1.16), zlib1g-dev, libpq-dev | postgresql-dev (>= 7.2), libldap2-dev, libssl-dev, libwrap0-dev, libcap-dev|not+linux-gnu, autotools-dev, libncurses5-dev, dpatch, libacl1-dev

Package: proftpd
Architecture: any
Depends: netbase (>= 4.13), ${perl:Depends}, ${shlibs:Depends}, debconf (>= 0.5.00), adduser, ucf (>= 0.30), debianutils (>= 1.21.0), libpam-runtime (>= 0.76-13.1)
Conflicts: wu-ftpd, wu-ftpd-academ, ftp-server, proftpd-common
Replaces: proftpd-common
Provides: ftp-server, proftpd-common
Suggests: proftpd-doc
Description: Versatile, virtual-hosting FTP daemon
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed).  Advanced features like multiple password files and
 upload/download ratios are also supported.
 .
 This package contains most of the core and contributed modules of 
 proftpd. 
 .
 More information can be found at http://www.proftpd.org/.

Package: proftpd-doc
Architecture: all
Suggests: proftpd (>> 1.2.10-1)
Section: doc
Description: Versatile, virtual-hosting FTP daemon (Documentation)
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed).  Advanced features like multiple password files and
 upload/download ratios are also supported.
 .
 More information can be found at http://www.proftpd.org/.

Package: proftpd-mysql
Architecture: all
Depends: proftpd (= ${Source-Version}), ${shlibs:Depends}
Conflicts: wu-ftpd, wu-ftpd-academ
Description: Versatile, virtual-hosting FTP daemon 
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 This package is needed only to use MySQL-based authentication.
 .
 More information can be found at http://www.proftpd.org/.

Package: proftpd-pgsql
Architecture: all
Depends: proftpd (= ${Source-Version}), ${shlibs:Depends}
Conflicts: wu-ftpd, wu-ftpd-academ
Description: Versatile, virtual-hosting FTP daemon 
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 This package is needed only to use PostgreSQL-based authentication.
 .
 More information can be found at http://www.proftpd.org/.

Package: proftpd-ldap
Architecture: all
Depends: proftpd (= ${Source-Version}), ${shlibs:Depends}
Conflicts: wu-ftpd, wu-ftpd-academ
Description: Versatile, virtual-hosting FTP daemon 
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 This package is needed only to use LDAP-based authentication.
 .
 More information can be found at http://www.proftpd.org/.
