## proftpd-dfsg 1.3.3d

=== debian/changelog ===
proftpd-dfsg (1.3.3d-8) unstable; urgency=high

  * debian/patches/3624 updated for a better management of possible NULL
    value.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 23 Mar 2011 10:49:44 +0100

proftpd-dfsg (1.3.3d-7) unstable; urgency=high

  * [SECURITY] new patch debian/patches/3624: this patch fixes the issue by
    causing mod_tls to clear the buffers of any data received from the client, 
    once the SSL/TLS handshake has succeeded.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Mar 2011 22:48:51 +0100

proftpd-dfsg (1.3.3d-6) unstable; urgency=low

  * Moved ftp user home to /srv/ftp as used by other ftp servers.
    (closes: #618888)
  * Now ftp home and user are removed on purge (old or new one).
  * Removing the whole log directory on purge.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Mar 2011 11:29:10 +0100

proftpd-dfsg (1.3.3d-5) unstable; urgency=low

  [ Francesco Paolo Lovergine <frankie@debian.org> ]
  * Annotated CVE IDs in debian/changelog for recent vulnerabilities fixed.
  
  [ Mahyuddin Susanto <udienz@ubuntu.com> ]
  * Add DEP-3 header in patches:
    - debian/patches/mod_cap
    - debian/patches/ftpstats
    - debian/patches/series
    - debian/patches/xferstats.holger-preiss
    - debian/patches/CVE-2011-1137
    - debian/patches/odbc
    - debian/patches/silent
    - debian/patches/mod_sql_mysql.c
    - debian/patches/ftpasswd.cracklib.location
    - debian/patches/autotools
    - debian/patches/prxs
    - debian/patches/mod_vroot
    - debian/patches/quotatab_modules
    - debian/patches/mod_wrap_noparanoid
    - debian/patches/change_pam_name
  * debian/copyright: Rewriting as per DEP-5 machine readable.
  * Fix typo in 1.3.3d-4 changelog.
  * debian/ftpasswd.8
    - Remove white space
    - Using hypen instead of minus sign in manual page.
  * debian/patches/use_hypen_in_manpage.patch: Do not use minus sign in manual
    page.
  * Use set -e instead of passed -e to the shell on the #! line in the body of
    script
     - proftpd-basic.config
     - proftpd-basic.postrm
     - proftpd-basic.preinst
  * Override lintian to trivial error checking
    - debian/proftpd-basic.lintian-overrides
    - debian/proftpd-dev.lintian-overrides

  [ Francesco Paolo Lovergine ]
  * Fixed a typo in debian/proftpd-substvars.in and regenerated the template. 
  * Fixed a typo in proftpd-dev.README.Debian

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 17 Mar 2011 13:16:12 +0100

proftpd-dfsg (1.3.3d-4) unstable; urgency=high

  * Fixed previous changelog.
  * Now proftpd.conf includes /etc/proftpd/conf.d contents to allow custom
    configurations being loaded after system ones in separate files.
  * Added README.Debian for proftpd-dev to explain how to build add-on
    modules.
  * [PATCH] silent remove excessive verbosity at startup about conf.d
    directory parsing.
  * Updated debian/NEWS file with information about new conf.d directory.
  * Now configuration file name can be overridden at run-time.
    (closes: #613527)
  * Now uses Breaks instead of Conflicts against pre-squeeze proftpd package.
  * [SECURITY,PATCH] CVE-2011-1137: mod_sftp behaves badly when receiving
    badly formed SSH messages.
    (closes: #616179)
  * Updated Czech debconf template.
    (closes: #616336)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 04 Mar 2011 00:42:18 +0100

proftpd-dfsg (1.3.3d-3) unstable; urgency=low

  * Updated danish template.
    (closes: #599862)
  * Now grep uses --silet to avoid warning at /etc/inetd.conf parsing.
    (closes: #605781)
  * Added commented TZ explicit set in proftpd.conf template. 
    Thanks John Wright.
    (closes: #576888)
  * [PATCH] prxs.in fixed to avoid using the shell to call libtool, which
    prevents prxs working correctly with any shell.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 15 Feb 2011 12:16:48 +0100

proftpd-dfsg (1.3.3d-2) unstable; urgency=low

  * Added Vcs-* fields for the new pkg-proftpd alioth project.
  * Now using pkg-proftpd developers list as Maintainer field and
    added me as an Uploader.
  * Updated README.source to reflect changes to maintainance.
  * Changed long description in debian/control* to be more smart and up-to-date.
  * Changed ProFTPd string occurrences in ProFTPD in all templates, as it is the
    official program name since a long time.
  * Fixed proftpd-substvars for current version.
  * Now proftpd-substvars is updated at every build to avoid easy oversights.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 11 Feb 2011 14:02:32 +0100

proftpd-dfsg (1.3.3d-1) unstable; urgency=low

  * New upstream stable release with ABI bumping.
  * Moved to source format 3.0, with quilt.
  * Moved debian patches to quilt.
  * Policy bumped to 3.9.1.
  * Removed all patches merged upstream.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 08 Feb 2011 13:42:03 +0100

proftpd-dfsg (1.3.3a-6) unstable; urgency=high

  * [SECURITY] 3536.dpatch fixes insufficient bounds checking in sql_prepare_where() 
    function as found in mod_sql.c. This is CVE-2010-4652.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 28 Jan 2011 09:54:52 +0100

proftpd-dfsg (1.3.3a-5) unstable; urgency=high

  * [SECURITY,PATCH] 3521.dpatch fixes Telnet IAC processing stack overflow.
    This vulnerability allows remote attackers to execute arbitrary code on
    vulnerable installations of ProFTPD. Authentication is not required to
    exploit this vulnerability. It applies to >= 1.3.2rc3.
    (closes: #602279, #602288)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 03 Nov 2010 10:51:05 +0100

proftpd-dfsg (1.3.3a-4) unstable; urgency=high

  * [SECURITY,PATCH] 3519.dpatch fixes Inappropriate directory traversal allowed by
    mod_site_misc. This vulnerability can be used to:
     - create a directory located outside the writable directory
     - delete a directory located outside the writable directory

