## proftpd-dfsg 1.3.4~rc2

=== debian/changelog ===
proftpd-dfsg (1.3.4~rc2-4) unstable; urgency=low

  * Now debian/rules manages correctly debug. noopt and nostrip options
    in DEB_BUILD_OPTIONS against proftpd building script.
    (closes: #624267)
  * Added NoSessionReuseRequired as suggested TLSOptions: it does allow some
    clients to work correctly with data connection.
  * Added a suitable entry in NEWS file to warn about mod_ldap directives
    upstream changes.
    (closes: #628944)
  * Changed ldap.conf template to reflect new basic directives.
  * Changed reference URL for the Timing Attack in proftpd.conf template.
    (closes: #630427)
  * Now proftpd-basic.postrm removes also the logrotate script on purge.
    (closes: #626742)
  * Added another override for lintian about embedding the libtool ltdl.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 02 Sep 2011 11:32:31 +0200

proftpd-dfsg (1.3.4~rc2-3) unstable; urgency=low

  * Added new contributed modules building and loading: mod_copy, mod_deflate, 
    mod_ifversion, mod_tls_memcache
  * Removed mod_vroot loading in modules.conf.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 22 Apr 2011 16:58:35 +0200

proftpd-dfsg (1.3.4~rc2-2) unstable; urgency=low

  * Removed mod_vroot patches, because it will be provided by the separate
    proftpd-mod-vroot source package.
  * Updated NEWS file to warn about the now missing vroot module.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 20 Apr 2011 17:44:32 +0200

proftpd-dfsg (1.3.4~rc2-1) unstable; urgency=low

  [ Mahyuddin Susanto <udienz@ubuntu.com> ]

  * Add DEP-3 header in patches:
    - debian/patches/mod_cap
    - debian/patches/ftpstats
    - debian/patches/series
    - debian/patches/xferstats.holger-preiss
    - debian/patches/CVE-2011-1137
    - debian/patches/odbc
    - debian/patches/silent
    - debian/patches/mod_sql_mysql.c
    - debian/patches/ftpasswd.cracklib.location
    - debian/patches/autotools
    - debian/patches/prxs
    - debian/patches/mod_vroot
    - debian/patches/quotatab_modules
    - debian/patches/mod_wrap_noparanoid
    - debian/patches/change_pam_name
  * debian/copyright: Rewriting as per DEP-5 machine readable.
  * Fix typo in 1.3.3d-4 changelog.
  * debian/ftpasswd.8
    - Remove white space
    - Using hypen instead of minus sign in manual page.
  * debian/patches/use_hypen_in_manpage.patch: Do not use minus sign in manual
    page.
  * Use set -e instead of passed -e to the shell on the #! line in the body of
    script
     - proftpd-basic.config
     - proftpd-basic.postrm
     - proftpd-basic.preinst
  * Override lintian to trivial error checking
    - debian/proftpd-basic.lintian-overrides
    - debian/proftpd-dev.lintian-overrides

  [ Francesco Paolo Lovergine ]

  * Annotated CVE IDs in debian/changelog for recent vulnerabilities fixed.
  * New upstream release candidate for 1.3.4 series.
  * Patch removed: 
        debian/patches/prxs (merged upstream)
  * Patch updated:
        debian/patches/odbc
  * Patch use_hypen_in_manpage.patch: dropped extension.
  * Now debian/control is also a phony target.
  * Now clean target does not remove upstream files to be more nice against gbp.
  * Fixed a typo in debian/proftpd-substvars.in and regenerated the template. 
  * Fixed a typo in proftpd-dev.README.Debian
  * Moved ftp user home to /srv/ftp as used by other ftp servers.
  * Now ftp home and user are removed on purge (old or new one).
  * Removing the whole log directory on purge.
  * Now lastlog logging is enabled at building time to allow UseLastlog on/off 
    use in configuration. Thanks TerminX.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 23 Mar 2011 13:04:35 +0100
