## proftpd-dfsg 1.3.4~rc3

=== debian/changelog ===
proftpd-dfsg (1.3.4~rc3-2) unstable; urgency=high

  * Added libacl1-dev and libssl-dev to proftpd-dev dependencies, due to
    header files inclusion.
  * Added patch 3711 to manage CVE-2011-4130 (Response pool use-after-free
    memory corruption error).
    (closes: #648373)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 11 Nov 2011 13:19:37 +0100

proftpd-dfsg (1.3.4~rc3-1) unstable; urgency=low

  * New upstream pre-release.
  * Refreshed all patches.
  * Changed patch xferstats.holger-preiss to fix a few warnings and use
    Getopt::Std instead of the old getopts.pl which will be removed soon or
    later in perl5. Thanks lintian.
  * Policy bumped to 3.9.2.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 06 Oct 2011 12:57:29 +0200
