=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: libmysqlclient-dev, libpam-dev, debhelper (>= 7), zlib1g-dev, 
  libpq-dev, libldap2-dev, libssl-dev (>= 0.9.8l), libwrap0-dev, libcap-dev [linux-any], 
  autotools-dev, libncurses5-dev, libacl1-dev, libattr1-dev, unixodbc-dev, libsqlite3-dev
@@ -18,8 +18,10 @@
 Conflicts: ftp-server
 Breaks: proftpd (<< 1.3.2)
 Replaces: proftpd (<< 1.3.2)
-Provides: ftp-server, proftpd, proftpd-abi-1.3.4rc2
-Suggests: proftpd-doc, openssl, proftpd-mod-mysql, proftpd-mod-pgsql, proftpd-mod-ldap, proftpd-mod-odbc, proftpd-mod-sqlite, openbsd-inetd | inet-superserver
+Provides: ftp-server, proftpd, proftpd-abi-1.3.4rc3
+Suggests: proftpd-doc, openssl, 
+ proftpd-mod-mysql, proftpd-mod-pgsql, proftpd-mod-ldap, proftpd-mod-odbc, proftpd-mod-sqlite, 
+ openbsd-inetd | inet-superserver
 Description: Versatile, virtual-hosting FTP daemon - binaries
  ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
  Protocol daemon supports also hidden directories, virtual hosts, and
@@ -37,7 +39,8 @@
 
 Package: proftpd-dev
 Architecture: any
-Depends: proftpd-basic (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libtool
+Depends: proftpd-basic (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, 
+ libtool, libacl1-dev, libssl-dev
 Suggests: pkg-config
 Description: Versatile, virtual-hosting FTP daemon - development files
  ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
