=== debian/rules ===
--- 
+++ 
@@ -10,17 +10,27 @@
 # See #233031 for details. 
 # 
 PROFTPD_FLAGS := -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DHAVE_OPENSSL -DUSE_LDAP_TLS
-CFLAGS := -O2 $(PROFTPD_FLAGS) 
+CFLAGS := $(PROFTPD_FLAGS) 
 CC := gcc
+OPTFLAG = -O2
 
 # Some special build options
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -g -O0
+  DEVELOPT=--enable-devel=yes
+  OPTFLAG = -O0
 endif
 ifneq (,$(findstring verbose,$(DEB_BUILD_OPTIONS)))
 DH_VERBOSE=1
 export DH_VERBOSE
 endif
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+  OPTFLAG = -O0 
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+  INSTALL_STRIP=-s
+endif
+
+CFLAGS += $(OPTFLAG)
 
 #
 # dpkg-arch rules
@@ -32,14 +42,13 @@
 # Note: use --localstatedir=/var/run/proftpd for > 1.3.2
 DSOMODS1 = mod_unique_id:mod_site_misc:mod_load:mod_ban:mod_quotatab:mod_sql:mod_sql_mysql:mod_sql_postgres:mod_sql_sqlite:mod_sql_odbc:mod_dynmasq:
 DSOMODS2 = mod_quotatab_sql:mod_ldap:mod_quotatab_ldap:mod_ratio:mod_tls:mod_rewrite:mod_radius:mod_wrap:mod_wrap2:mod_wrap2_file:
-DSOMODS3 = mod_wrap2_sql:mod_quotatab_file:mod_quotatab_radius:mod_facl:mod_ctrls_admin:mod_vroot:
+DSOMODS3 = mod_wrap2_sql:mod_quotatab_file:mod_quotatab_radius:mod_facl:mod_ctrls_admin:mod_copy:mod_deflate:mod_ifversion:mod_tls_memcache:
 DSOMODS4 = mod_exec:mod_sftp:mod_sftp_pam:mod_sftp_sql:mod_shaper:mod_sql_passwd:mod_ifsession
 CONF_ARGS := --prefix=/usr \
 	     --with-includes=$(shell pg_config --includedir):$(shell mysql_config --include|sed -e 's/-I//') \
 	     --mandir=/usr/share/man --sysconfdir=/etc/$(NAME) --localstatedir=/var/run --libexecdir=/usr/lib/$(NAME) \
 	     --enable-sendfile --enable-facl --enable-dso --enable-autoshadow --enable-ctrls --with-modules=mod_readme \
-	     --enable-ipv6 --enable-nls 
-#	     --enable-devel=stacktrace 
+	     --enable-ipv6 --enable-nls --with-lastlog=/var/log/lastlog $(DEVELOPT)
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   CONF_ARGS += --build $(DEB_HOST_GNU_TYPE)
@@ -53,7 +62,7 @@
 debian/proftpd-substvars: debian/proftpd-substvars.in
 	sed -e 's/@VERSION@/$(VERSION)/' $< >$@
 
-build: $(QUILT_STAMPFN) debian/proftpd-substvars configure-stamp build-stamp
+build: debian/proftpd-substvars configure-stamp build-stamp
 build-stamp: 
 	dh_testdir
 	
@@ -65,12 +74,12 @@
 	dh_testdir
 	dh_prep
 	
-	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp INSTALL_STRIP="$(INSTALL_STRIP)" install
 	mv $(CURDIR)/debian/tmp/usr/share/locale/it_IT $(CURDIR)/debian/tmp/usr/share/locale/it
 	mv $(CURDIR)/debian/tmp/usr/share/locale/ru_RU $(CURDIR)/debian/tmp/usr/share/locale/ru
 
 configure: configure-stamp
-configure-stamp: $(QUILT_STAMPFN)
+configure-stamp: 
 	dh_testdir
 	
 	# Use current autotools helpers
@@ -102,7 +111,6 @@
 	rm -rf debian/$(PACKAGE) debian/$(NAME)-doc
 	rm -rf debian/files* debian/*.gz core
 	rm -f $$(find * -name "*.orig") modules/mod_ratio.c
-	rm -f contrib/dist/rpm/proftpd.spec
 	rm -rf $$(find $(CURDIR) -name .libs)
 	rm -f $$(find $(CURDIR) -name config.log )
 	rm -f $$(find $(CURDIR) -name config.status )
@@ -172,5 +180,5 @@
 	dh_testdir
 	dh_testroot
 
-.PHONY: binary binary-arch binary-indep clean checkroot myclean install configure debian/proftpd-substvars
+.PHONY: binary binary-arch binary-indep clean checkroot myclean install configure debian/proftpd-substvars debian/control
